import request from '@/apps/mobile/utils/request'

// 商品管理 分页查询
export function queryPage(data) {
    return request({
        method: 'post',
        url: '/api/shoppings/query-page',
        data,
    });
}

//  新增
export function addData(data) {
    return request({
        method: 'post',
        url: '/api/shoppings/insert',
        data,
    });
}

// 删除
export function removeData(data) {
    return request({
        method: 'delete',
        url: '/api/shoppings/delete-batch',
        data,
    });
}

// 编辑
export function editData(data) {
    return request({
        method: 'put',
        url: '/api/shoppings/update',
        data,
    });
}

// 批量上架
export function useBath(data) {
    return request({
        method: 'post',
        url: '/api/shoppings/useBath',
        data,
    });
}

// 批量下架
export function noUseBath(data) {
    return request({
        method: 'post',
        url: '/api/shoppings/noUseBath',
        data,
    });
}



// 批量首页展示
export function showBath(data) {
    return request({
        method: 'post',
        url: '/api/shoppings/showBath',
        data,
    });
}

// 批量取消首页展示
export function noshowBath(data) {
    return request({
        method: 'post',
        url: '/api/shoppings/noshowBath',
        data,
    });
}